Вопрос: Как обновить mod_wsgi до последней версии на Ubuntu 10.04?


На моем сервере Ubuntu установлена ​​эта версия:

# dpkg -l | grep wsgi
ii  libapache2-mod-wsgi  2.8-2ubuntu1  Python WSGI adapter module for Apache

Как я могу получить последняя версия 3.3?


4
2017-08-14 08:42


Источник




Ответы:


Загрузите и скомпилируйте его. Очень неплохо ПРОЧТИ МЕНЯ в исходном пакете. Но вы можете начать с установки build-essential базовую систему для компиляции, а затем просто следуйте ПРОЧТИ МЕНЯ


2
2017-08-14 08:56



Обязательно отключите mod_wsgi перед установкой более новой версии 3.3. Мой Apache разбился с ошибкой seg fault or similar nasty error detected in the parent process, - David Xia


sudo apt-get build-dep libapache2-mod-wsgi

И тогда вы можете построить из источника, читающего readme


1
2017-08-20 17:15





Debian имеет libapache2-мод-WSGI, но это не будет работать на Ubuntu 10.04, потому что это зависит от libpython2.7, для которого нет пакета для 10.04.

Я загрузил источник из Вот:

$ wget http://modwsgi.googlecode.com/files/mod_wsgi-3.3.tar.gz

Тогда просто

./configure
make
sudo make install

1
2018-05-04 07:03





Для меня это работало:

sudo aptitude install libapache2-mod-wsgi

0
2017-07-28 15:54



Пранав, пожалуйста, будьте более конкретными. Вам нужно объяснить все, чтобы люди могли получить четкое представление о вашем ответе. - Pavak Paul